develooper Front page | perl.module-authors | Postings from November 2018

Re: Perl 5.26 and the . in INC issue where modules won't install

Thread Previous | Thread Next
From:
David Cantrell
Date:
November 1, 2018 16:50
Subject:
Re: Perl 5.26 and the . in INC issue where modules won't install
Message ID:
20181101161843.GA16080@bytemark.barnyard.co.uk
On Thu, Nov 01, 2018 at 03:28:07PM +0000, Martin J. Evans wrote:

> Increasingly I am having problems with modules in Perl 5.26 and later which 
> won't install because of the . not in @INC issue. Quite often it is not 
> even the module I want to use but a requirement
> 
> e.g., Cache::Memory requires File::NFSLock and File::NFSLock won't install 
> on 5.26 because of @INC change.

Until authors fix their stuff you can set PERL_USE_UNSAFE_INC=1.

-- 
David Cantrell | London Perl Mongers Deputy Chief Heretic

Us Germans take our humour very seriously
  -- German cultural attache talking to the Today Programme,
     about the German supposed lack of a sense of humour, 29 Aug 2001

Thread Previous | Thread Next


nntp.perl.org: Perl Programming lists via nntp and http.
Comments to Ask Bjørn Hansen at ask@perl.org | Group listing | About